#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'rekanan.identitas_title'}
#{/set}

<ul class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}" >&{'rekanan.home'}</a></li>
	<li class="active">&{'rekanan.data_penyedia'}</li>
</ul>

#{menuDataPenyedia /}
<div class="content">
#{alert /}
  #{form @rekanan.MigrasiSikapCtr.submit(), method:'POST'}
  		<div class="form-group row">
    		<label class="col-md-9 col-form-label">Fitur ini berfungsi untuk melakukan tarik Data Penyedia dari Aplikasi SIKaP ke aplikasi SPSE</label>
    		<div class="col-md-3">
    			<p class="form-control-static"></p>
    		</div>
  		</div>

        <div class="form-group row">
	        <div class="col-md-12">
		        <div class="bs-callout bs-callout-danger">
			        <b>&{'rekanan.perhatian'}!</b>
					<ul>
						<li>&{'rekanan.pastikan_data_sesuai'}</li>
                        <li>&{'rekanan.data_sudah_terintergrasi'}
							&{'rekanan.perubahan_harus_melalui_sikap'}</li>
                        <li>&{'rekanan.dengan_melakukan_integrasi'}</li>
                    </ul>
		        </div>
	        </div>
        </div>

  		<div class="form-group row">
	    	<label class="col-md-2 col-form-label">Status Integrasi</label>
	    	<div class="col-md-10">
	    		<p class="form-control-static">
	    			#{if rekanan.belumMigrasiSikap}&{'rekanan.belum_dilakukan'}.#{/if}
	    			#{else}
					&{'rekanan.sudah_tarik_dari_sikap'} ${history?.tanggal_tarik?.formatDateTime()}.
	    			#{/else}
	    		</p>
	    	</div>
  		</div>
		#{if rekanan.belumMigrasiSikap}
			<div class="form-group row">
				<div class="col-lg-offset-2 col-lg-10">
						#{set 'title'}&{'rekanan.tarik_dari_sikap'}#{/set}

						#{button iconClass:'fa-cloud-download',title: title, confirm:'rekanan.sikap_confirm'/}

				</div>
			</div>
		#{/if}
	#{/form}

	#{if rekanan.selesaiMigrasiSikap}
		#{form @rekanan.MigrasiSikapCtr.update(), method:'POST'}
			<div class="form-group row">
				<label class="col-md-2 col-form-label">Status Sinkronisasi</label>
				<div class="col-md-10">
					<p class="form-control-static">
						&{'rekanan.update_terakhir'} ${rekanan.last_sync_vms?.formatDateTime()}.
					</p>
				</div>
			</div>
			<div class="form-group row">
				<div class="col-md-2">
				</div>
				<div class="col-md-2">
					#{button cssClass:'btn btn-danger ', iconClass:'fa-refresh', title:' Sinkronisasi', confirm:"Apakah Anda yakin untuk melakukan sinkronisasi Data Penyedia dari SIKaP?"/}
				</div>
				<div class="col-md-2">
					#{link newTab:'true', cssClass:'btn btn-success ', action:@rekanan.MigrasiSikapCtr.editData(), iconClass:'fa-mail-forward', title:'Ubah Data'/}
				</div>
			</div>
		#{/form }

	#{/if}
 </div>
